Bug 220222

Summary: AX: aria-orientation is ignored on input[type="range"]
Product: WebKit Reporter: Sebastian Silbermann <silbermann.sebastian>
Component: AccessibilityAssignee: chris fleizach <cfleizach>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, cfleizach, dmazzoni, ews-watchlist, jcraig, jdiggs, samuel_white, webkit-bug-importer, zalan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
patch
ews-feeder: commit-queue-
patch
none
patch
none
patch none

Description Sebastian Silbermann 2021-01-01 12:46:49 PST
`<input type="range" aria-orientation="vertical" />` is exposed as a horizontal slider. IE 11 and Edge 15 they exposed as vertical sliders (verified with JAWS) as defined by spec (Aria 1.1 https://www.w3.org/TR/wai-aria-1.1/#slider + html-aam https://www.w3.org/TR/html-aam-1.0/#details-id-68).

0. Please ignore broken visuals since `input[type="range"]` is not responsible for them. We're only piggy-backing it for input behavior.

1. Visit https://poqq4.csb.app/

2. We refer to `input[type="range"]:not([aria-orientation="vertical"])` as A, `input[type="range"][aria-orientation="vertical"]` as `B`, `input.fix-aria-orientation[type="range"][aria-orientation="vertical"]` as `C` and `[role="slider"][aria-orientation="vertical"]` as `D`

Jaws + {ie11,edge 15}:
  A: left/right slider
  B: up/down slider
  C: up/down slider
  D: up/down slider
Jaws + firefox:
  A: left/right slider
  B: left/right slider (BAD)
  C: left/right slider (BAD)
  D: up/down slider
Jaws + chrome:
  A: left/right slider
  B: left/right slider (BAD)
  C: up/down slider
  D: up/down slider
VoiceOver + (chrome,safari):
  A: left/right slider
  B: left/right slider (BAD)
  C: up/down slider
  D: up/down slider

NVDA: Irrelevant since they don't implement orientation for sliders (https://github.com/nvaccess/nvda/issues/6283).

Originally reported in https://bugs.chromium.org/p/chromium/issues/detail?id=1158217&hotlist_id=8815&sort=%20rank%20-ID
Comment 1 Radar WebKit Bug Importer 2021-01-01 12:46:56 PST
<rdar://problem/72765547>
Comment 2 chris fleizach 2021-01-02 00:07:29 PST
Created attachment 416892 [details]
patch
Comment 3 chris fleizach 2021-01-04 08:54:00 PST
Created attachment 416948 [details]
patch
Comment 4 chris fleizach 2021-01-04 10:23:30 PST
Created attachment 416954 [details]
patch
Comment 5 chris fleizach 2021-01-04 17:44:56 PST
Created attachment 416967 [details]
patch
Comment 6 EWS 2021-01-05 12:01:02 PST
Committed r271166: <https://trac.webkit.org/changeset/271166>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 416967 [details].